| Kea 3.0.2-git

dhcpv4_callouts.cc File Reference
`#include <config.h>`
`#include <dhcpsrv/lease_mgr_factory.h>`
`#include <dhcpsrv/srv_config.h>`
`#include <hooks/callout_handle.h>`
`#include <limits/limit_manager.h>`
`#include <util/dhcp_space.h>`
Include dependency graph for dhcpv4_callouts.cc:

Go to the source code of this file.

## Classes
class | CalloutHandle
| Per-packet callout handle. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::limits

## Functions
int | isc::limits::cb4_updated (CalloutHandle &handle)
| Callout at the cb4_updated hook point.
int | isc::limits::dhcp4_srv_configured (CalloutHandle &handle)
| dhcp4_srv_configured callout implementation
int | isc::limits::lease4_renew (CalloutHandle &handle)
| Callout at the leases4_renew hook point.
int | isc::limits::lease4_select (CalloutHandle &handle)
| Callout at the leases4_select hook point.
int | isc::limits::pkt4_receive (CalloutHandle &handle)
| Callout at the pkt4_receive hook point.
int | isc::limits::subnet4_select (CalloutHandle &handle)
| Callout at the subnet4_select hook point.